Subject: bug#47716: gio mount broken, again.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 12 Jul 2022 11:29:30 -0400

Hi,

raingloom <[email-masked]> writes:

> ```
> $ gio mount sftp://whatever
> $ ls /run/user/$UID/gvfs/
> ```
> prints nothing.
>
> Same thing happens if I mount it from the Nautilus file manager.
>
> This bug has appeared before and I still have no idea how it was fixed,
> which is not great. I'll do a bisect soon. Should probably add a system
> test for it so it doesn't break again.
>
> In the meantime, if whoever fixed it the last time could look into it
> again, I'd be very thankful. Using sshfs manually works but isn't great.

glib has seen 3 ugrades in Guix since you reported this issue (2.68.3
then 2.70 then 2.70.2).  Do you still have the issue?

How do you setup the server; is a running OpenSSH server sufficient?

Thanks,

Maxim